package com.ynxbd.push.entity.type;

import org.springframework.util.ObjectUtils;

/**
 * @author 李进才
 * @ClassName MessageTypeEnum
 * @Description TODO
 * @date 2023/07/04 14:39:00
 */
public enum MessageTypeEnum {

    REPORT_TIP("ReportTip","检验检查报告通知"),
    QUEUE_TIP("QueueTip","排队叫号提醒"),
    MEDICAL_RECORD("MedicalRecord","病历复印"),
    TREAT_PLAN("TreatPlan","诊疗计划提醒"),

    UNIVERSAL("Universal","通用模版推送-绑定通知"),

    CVMS("CVMS","危机值推送"),
    COMMON("COMMON","COMMON");


    public final String CODE;
    public final String MESSAGE;


    MessageTypeEnum(String code,String message){
        this.CODE=code;
        this.MESSAGE = message;
    }


    public static MessageTypeEnum toEnum(String code) {
        if (ObjectUtils.isEmpty(code)) {
            return null;
        }
        for (MessageTypeEnum item : MessageTypeEnum.values()) {
            if (item.CODE.equals(code)) {
                return item;
            }
        }
        return null;
    }

}
