package com.ynxbd.push.controller;


import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.ynxbd.push.helper.RedisHelper;
import com.ynxbd.push.httpRequest.xbd.wx.WxCacheRequest;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

@Slf4j
@RestController
@RequestMapping("api")
public class ApiController {

    @PostMapping("reToken")
    public String reToken() {
        WxCacheRequest.clearWxAccessToken();
        return "success";
    }

    @PostMapping("getRedis")
    public JSONObject getRedis(String name) {
        log.info("name-{}",name);
        return JSON.parseObject(RedisHelper.getRedis().get(name));
    }

//    @GetMapping("getRabbitMq")
//    public String getRabbitMq() throws IOException, TimeoutException {
//        rabbitMqHelper.ReportTipSend();
//        return "success";
//    }
}
