package com.ynxbd.push.controller;

import com.ynxbd.push.helper.RSAHelper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ResponseBody;


/**
 * @author 李进才
 */
@Slf4j
@Controller
public class RsaController {

    @GetMapping(value = "PublicKey")
    @ResponseBody
    public String publicKey() {
        log.info("privateKey={}" + RSAHelper.getPrivateKey());
        return RSAHelper.getPublicKey();
    }

}
