package com.ynxbd.push.entity.tencent;

import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

/**
 * @author absorber
 */
@Builder
@Data
public class SendMessageTemplate {
    private String code;
    //组织机构ID
    private String organizeName;
    // 消息类型
    private String tip;
    public String message_id;
    public String template_id;
    public String keyword1;
    private String template_name;
    private String patientId;
    private String keyword1Color = "#173177";
    public String keyword2;
    private String keyword2Color = "#173177";
    public String keyword3;
    private String keyword3Color = "#173177";
    public String keyword4;
    private String keyword4Color = "#173177";
    public String keyword5;
    private String keyword5Color = "#173177";
    private String openId;
    private String url;
    private String first;
    private String firstColor = "#173177";
    private String patientName;
    private String patientSex;
    private String appId;
    private String pagePath;
    private String hospitalName;
    private String department;
    private String doctor;
    private String seq;
    private String remark;

    private String remarkColor = "#173177";
    /**
     * 当前号码
     */
    private String currentNumber;
    /**
     * 自身号码
     */
    private String selfNumber;
    /**
     * 等待人数
     */
    private String waitNumber;
    /**
     * 检查结果通知-就诊项目
     */
    private String item;
    private String time;
    private String money;
    private String bedNumber;
    private String arrivalTime;
    /**
     * 信息完善提醒-消息类型
     */
    private String messageType;
    /**
     * 健康卡成功升级通知-升级说明
     */
    private String updateDescription;
    /**
     * 随访开始提醒-随访人员
     */
    private String followUpStaff;

    private Long timestamp;
    private int count;

    /**
     * 医生工号
     */
    private String doctorCode;



    @Tolerate
    SendMessageTemplate() {
    }
}
