package com.ynxbd.push.entity.tencent;

import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

/**
 * @author 李进才
 */
@Data
@Builder
public class Subscribe {
    /**
     * openId
     */
    private String touser;
    /**
     * 模版id
     */
    private String template_id;
    /**
     * 跳转链接
     */
    private String url;
    /**
     * 小程序appId
     */
    private String appid;
    /**
     * 小程序路径
     */
    private String pagepath;
    /**
     * 一次性订阅消息权值（1代表同意了1权值的消息发送，1就失效；0-10000）
     */
    private Integer scene;
    /**
     * 标题
     */
    private String title;
    /**
     * 内容
     */
    private String  content;

    @Tolerate
    Subscribe(){}
}
