/*
 * *
 *  * @Project HM OA
 *  * @Name DesEncrypt
 *  * @Author 张剑峰
 *  * @Date 18-4-15 下午11:02
 *  * @Version v1.0.0
 *  * @Copyright @ 2017 云南道睿科技有限公司 All rights reserved.
 *
 */
package com.ynxbd.push.helper;

import java.io.File;
import java.util.regex.Matcher;

/**
 * @author Administrator
 * @version v1.0.0
 * @date Oct 10, 2009 11:24:26 AM
 */
public class DesEncryptHelper {
    private static final String KEY = "2018ynhm8321";

    /**
     * 加密
     *
     * @param s 加密的字符串
     * @return 加密后的字符
     */
    public static String enCode(String s) {
        return new DesHelper().stringEnc(s, KEY);
    }

    /**
     * 解密
     *
     * @param s 需要解密的字符串
     * @return 解密后的内容
     */
    public static String deCode(String s) {
        return new DesHelper().stringDec(s, KEY);
    }

    /**
     * 自定义key的加密
     *
     * @param s
     * @param strKey 自定义的key
     * @return
     */
    public static String enCode(String s, String strKey) {
        return new DesHelper().stringEnc(s, strKey);
    }

    /**
     * 自定义key的解密
     *
     * @param s
     * @param strKey 自定义的key
     * @return
     */
    public static String deCode(String s, String strKey) {
        return new DesHelper().stringDec(s, strKey);
    }

    public static char[] enCodeChar(String s, String strKey) {
        return new DesHelper().charEnc(s, strKey);
    }

    public static char[] deCodeChar(String s, String strKey) {
        return new DesHelper().charDec(s, strKey);
    }

    public static void main(String[] args) {
        System.out.println(DesEncryptHelper.enCode("rui_mei", KEY));
        System.out.println(DesEncryptHelper.deCode("3D48C80227DC4D7E8B30ED3C73F48031", KEY));
    }
}
